compiz Suggests: nvidia-glx which is a really really bad idea on anything but an nvidia system

Bug #844218 reported by Andy Whitcroft
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Low
Didier Roche
Oneiric
Low
Didier Roche

Bug Description

When installing compiz the package Suggest: nvidia-glx. This if installed on a non-nvidia system will either 1) break the system entirely, or 2) render all pixmaps upside down. Bad.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: compiz 1:0.9.5.92+bzr2791-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-10.16-generic 3.0.4
Uname: Linux 3.0.0-10-generic i686
NonfreeKernelModules: wl
Architecture: i386
BootLog:
 fsck from util-linux-ng 2.17.2
 /dev/sda1: clean, 1918298/4702208 files, 15702258/18792448 blocks
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Wed Sep 7 12:42:13 2011
DistUpgraded: Log time: 2011-08-05 16:49:31.270875
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 5.100.82.38+bdcom, 3.0.0-10-generic, i686: installed
 bcmwl, 5.100.82.38+bdcom, 3.0.0-7-generic, i686: installed
 bcmwl, 5.100.82.38+bdcom, 3.0.0-8-generic, i686: installed
 bcmwl, 5.100.82.38+bdcom, 3.0.0-9-generic, i686: installed
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation N10 Family Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:0349]
   Subsystem: Acer Incorporated [ALI] Device [1025:0349]
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Acer AO533
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-10-generic root=UUID=10dbafb4-5a21-4665-88d4-2924132ca353 ro quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: Upgraded to oneiric on 2011-08-05 (33 days ago)
dmi.bios.date: 06/07/2010
dmi.bios.vendor: Acer
dmi.bios.version: V1.05
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: AO533
dmi.board.vendor: Acer
dmi.board.version: V1.05
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.05
dmi.modalias: dmi:bvnAcer:bvrV1.05:bd06/07/2010:svnAcer:pnAO533:pvrV1.05:rvnAcer:rnAO533:rvrV1.05:cvnAcer:ct10:cvrV1.05:
dmi.product.name: AO533
dmi.product.version: V1.05
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.5.92+bzr2791-0ubuntu2
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Revision history for this message
Andy Whitcroft (apw) wrote :
Alex Launi (alexlauni)
Changed in compiz (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Medium
status: New → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :

waow, that's a cruft from old old days :-) I'll fix it in the next compiz upload. Thanks!

Changed in compiz (Ubuntu):
status: Confirmed → Triaged
importance: Medium → Low
Didier Roche (didrocks)
Changed in compiz (Ubuntu):
status: Triaged → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Hello Andy, or anyone else affected,

Accepted compiz into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.6+bzr20110929-0ubuntu5

---------------
compiz (1:0.9.6+bzr20110929-0ubuntu5) oneiric-proposed; urgency=low

  * debian/patches/fix-864330.patch:
    - fix windows which can have towed moving (LP: #864330)
  * debian/patches/fix-864478.patch:
    - Window shading is broken (LP: #864478)

compiz (1:0.9.6+bzr20110929-0ubuntu4) oneiric-proposed; urgency=low

  * debian/control:
    - don't suggest nvidia-glx, it's part of the old initial packaging
      and probably a bad hint on non nvidia system (LP: #844218)
  * Cherry-pick upstream patches:
    - Windows should not automatically be focused when opened if the focus
      is on another application (LP: #748840)
    - Launcher - If a spread contains minimised windows, when the spread
      exits, the minimised windows momentarily appear on the desktop
      before disappearing (LP: #863328)
    - reproducible stacking bug in compiz (LP: #869316)
    - Click-dragging a window that's stacked above a fullscreen window will
      cause it to go underneath the fullscreen window (LP: #869919)
    - sometimes the keyboard input doesn't go to the apparently focussed
      dialog (LP: #869967)
    - Opening mumble can cause it to be stacked above the dash if you
      open the dash at the same time (LP: #865863)
    - Sometimes configure events are missed and windows move slow as a result
      (LP: #866752)
    - Workaround ubuntu desktop unity. Mouse at the left side doesn't reveal
      launcher (LP: #832150)
 -- Didier Roche <email address hidden> Wed, 12 Oct 2011 10:44:49 +0200

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Changed in compiz (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers